/*
Copyright © 2024 Brian Buller <brian@bullercodeworks.com>
*/
package cmd

import (
	"github.com/spf13/cobra"
)

// testCmd represents the test command
var testCmd = &cobra.Command{
	Use:   "test",
	Short: "Run Tests",
	RunE:  runTestCmd,
}

func init() {
	rootCmd.AddCommand(testCmd)
}

func runTestCmd(cmd *cobra.Command, args []string) error {
	/*
		var db *models.KeePassDB
		pass, err := util.PromptUserForPassword("Master Password")
		if err != nil {
			return err
		}
		db, err = models.NewKeePassDB("/home/brbuller/Nextcloud/Apps/keys/keys.copy.kdbx", pass)
		if err != nil {
			return err
		}
		for _, v := range db.GetAllEntries() {
			fmt.Println(v)
		}
	*/
	return nil
}
